{% extends 'base.html' %}

{% block content %}
    <div>
        <h1>My Projects</h1>
        <p>
            <a href="{% url 'create_project' %}">Create a new project</a>
        </p>
        {% if project.all|length == 0 %}
            <p>You are not assigned to any projects</p>
        {% else %}
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of tasks</th>
                    </tr>
                </thead>
                <tbody>
                    {% for proj in project %}
                        <tr>
                            <a href="{% url 'show_project' proj.id %}">
                                <td>{{ proj.name }}</td>
                            </a>
                            <td>{{ proj.tasks.all|length }}</td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        {% endif %}
    </div>
{% endblock content %}
